#pragma once
#include <string>
#include "../types/all.h"


enum class RenderType {
    Unlit,
    Lit
};

class Texture {
public:
    Texture(const std::string& path);
    Texture(uint64_t uaid);
    ~Texture();

    unsigned int GetID() const;

    void SetSize(core::types::Vec2 newSize) {size = newSize;};
    core::types::Vec2 GetSize() {return size;};


private:
    unsigned int id = 0;
    core::types::Vec2 size;
};
